import type { Context } from "hono";
import {
  transferSchema,
  transferWallet,
} from "../wallets.service";

export async function transferWalletHandler(c: Context) {
  const body = await c.req.json();
  const parsed = transferSchema.parse(body);
  const result = await transferWallet(parsed);
  return c.json(result);
}
